#include <stdio.h>
#include <math.h>
#include "pontok.h"

/** A bemeneti valtozokbol pont    *
  * strukturat letrehozo fuggveny. *
  * Erre azert van szukseg, mert   *
  * nem mindenutt hasznalhato a    *
  * {}-es struktura incializalas.  */
Pont Pont_legyen (int x, int y) {
    Pont p;
    p.x = x;
    p.y = y;
    return p;
}

/** Ket koordinantankent megadott *
  * pont tavolsagat adja vissza   */
double ponttav (double x1, double y1, double x2, double y2) {
    return sqrt((x1-x2)*(x1-x2)+(y1-y2)*(y1-y2));
}

/** Debug fuggveny, egy pont     *
  * koordinatait rja ki a logba */
void Pont_kiir (Pont p) {
    printf("Pont (%d, %d)\n", p.x, p.y);
    return;
}
