#include <stdlib.h>
#include <string.h>
#include "szinek.h"

/** Szinsemak */
/** Nincs szukseg a fajlbol beolvasasukra,  *
  * es itt a kodban konnyen valtoztathatoak */
colorscheme grey =      {"classic",
                        { 42,  42,  42}, { 97,  97,  97},  /* menubg, menudiv */
                        { 84,  84,  84}, {150, 150, 150},  /* enabled */
                        { 20,  20,  20}, { 40,  40,  40},  /* disabled */
                        {150, 150, 150}, { 84,  84,  84},  /* clicked */
                        {170, 170, 170}, {250, 250, 250},  /* new */
                        {255, 255, 255}, {  0,   0,   0}}; /* text, map */
colorscheme blue =      {"blue",
                        {  0,  37, 147}, { 15,  82, 186},  /* menubg, menudiv */
                        {  0,  71, 171}, {  0, 180, 244},  /* enabled */
                        {  0,   0, 128}, {  0,  40, 170},  /* disabled */
                        {  0, 180, 244}, {  0,  71, 171},  /* clicked */
                        {  0, 255, 239}, {  0, 127, 255},  /* new */
                        {  0, 180, 244}, {  0,   0,  15}}; /* text, map */
colorscheme green =     {"green",
                        {  0,  85,   0}, {  0, 133,  31},  /* menubg, menudiv */
                        {  0, 121,  20}, {  0, 220,  60},  /* enabled */
                        {  0,  65,   0}, {  0, 105,  10},  /* disabled */
                        {  0, 220,  60}, {  0, 121,  20},  /* clicked */
                        { 30, 250,  30}, {  0, 167,  60},  /* new */
                        {  0, 220,  60}, {  0,  8,   0}}; /* text, map */
colorscheme red =       {"red",
                        {146,   0,  10}, {210,   0,  20},  /* menubg, menudiv */
                        {175,   0,   0}, {255,   0,   0},  /* enabled */
                        {118,   0,   0}, {150,   0,   0},  /* disabled */
                        {255,   0,   0}, {175,   0,   0},  /* clicked */
                        {255,  69,   0}, {157,  34,   4},  /* new */
                        {255,   0,   0}, { 10,   0,   0}}; /* text, map */
colorscheme randomscheme =  {"random"};

colorscheme accent;

/** Ez a fuggveny betolt egy adott temat  *
  * Ha random szineket ker a hivas, akkor *
  * azokat is itt generalja le            */
void setaccent (colorscheme newcolor) {
    if(strcmp(newcolor.name, "random") != 0) {
        accent = newcolor;
    }
    else {

        accent.menubgcolor.r = rand()%256;
        accent.menudivcolor.r = rand()%256;
        accent.btenabled.r = rand()%256;
        accent.textenabled.r = rand()%256;
        accent.btdisabled.r = rand()%256;
        accent.textdisabled.r = rand()%256;
        accent.btclicked.r = rand()%256;
        accent.textclicked.r = rand()%256;
        accent.btnew.r = rand()%256;
        accent.textnew.r = rand()%256;
        accent.textcolor.r = rand()%256;
        accent.mapcolor.r = rand()%128;

        accent.menubgcolor.g = rand()%256;
        accent.menudivcolor.g = rand()%256;
        accent.btenabled.g = rand()%256;
        accent.textenabled.g = rand()%256;
        accent.btdisabled.g = rand()%256;
        accent.textdisabled.g = rand()%256;
        accent.btclicked.g = rand()%256;
        accent.textclicked.g = rand()%256;
        accent.btnew.g = rand()%256;
        accent.textnew.g = rand()%256;
        accent.textcolor.g = rand()%256;
        accent.mapcolor.g = rand()%128;

        accent.menubgcolor.b = rand()%256;
        accent.menudivcolor.b = rand()%256;
        accent.btenabled.b = rand()%256;
        accent.textenabled.b = rand()%256;
        accent.btdisabled.b = rand()%256;
        accent.textdisabled.b = rand()%256;
        accent.btclicked.b = rand()%256;
        accent.textclicked.b = rand()%256;
        accent.btnew.b = rand()%256;
        accent.textnew.b = rand()%256;
        accent.textcolor.b = rand()%256;
        accent.mapcolor.b = rand()%128;
    }
}
