#ifndef SZINEK_H_INCLUDED
#define SZINEK_H_INCLUDED

/** Strukturak */
    /** Struktura szinekre. */
    /** Konnyen valtoztathato,  SDL-barat  *
      * RGB szinekkel dolgozik a jatek.    */
    typedef struct {
        int r, g, b;
    } color;

    /** Struktura szinsemakra. */
    /** Egy-egy szinsema a jatekteren kivuli  *
      * felulet minden darabjara tartalmazhat *
      * akar egyedi szineket                  */
    typedef struct {
        char name[10];
        color menubgcolor; /** Menu hatterszine */
        color menudivcolor; /** A menut a palyatol elvalaszto sav szine */
        color btenabled, textenabled; /** Kattinthato gomb szinei */
        color btdisabled, textdisabled; /** Nem kattinthato gomb szinei */
        color btclicked, textclicked; /** Eppen kattintott gomb szinei */
        color btnew, textnew; /** Ujonnan elerhetove valt gomb szine */
        color textcolor; /** Egyeb szovegek szine */
        color mapcolor; /** Jatekter hatterszine */
    } colorscheme;

/** Valtozok */
    extern colorscheme grey;
    extern colorscheme blue;
    extern colorscheme green;
    extern colorscheme yellow;
    extern colorscheme randomscheme;
    extern colorscheme red;
    extern colorscheme accent;

/** Fuggvenyek */
    void setaccent (colorscheme newcolor);

#endif // SZINEK_H_INCLUDED
