#ifndef MENU_H_INCLUDED
#define MENU_H_INCLUDED

#include <SDL.h>

/** Strukturak */
    /** Egy gomb strukturaja */
    typedef struct {
        int clicked;    /** Eppen lenyomott gomb */
        int enabled;    /** Kattinthato gomb */
        char label[30]; /** A gomb felirata */
        int toggle;     /** Ki/be kapcsolhato gomb-e */
    } Button;

/** Fuggvenyek */
    int Button_click (int buttonid, int xpos, int ypos, Button *menu);
    void Button_draw (SDL_Surface *screen, int buttonid, Button button);
    void drawmenu (SDL_Surface *screen, Button *menu);

#endif // MENU_H_INCLUDED
